package com.dgtly.wxportal.config;

import com.dgtly.wxportal.utils.ESign.ESignToken;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
public class ESignConfig {

    @Value(value = "${esign.appId:none}")
    private String appId;

    @Value(value = "${esign.appSecret:none}")
    private String appSecret;

    @Value(value = "${esign.serviceUrl:none}")
    private String eSignServiceUrl ;
    private ESignToken eSignToken;

    @Bean
    public ESignToken eSignTokenUtil(){
        ESignToken eSignToken =  new ESignToken();
        this.eSignToken = eSignToken;
        return eSignToken;
    }

    public String getAppId() {
        return appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public String geteSignServiceUrl() {
        return eSignServiceUrl;
    }

    public ESignToken geteSignToken() {
        return eSignToken;
    }
}
